Bug 1648251 (python-petlink) - Review Request: python-petlink - Decode and encode Petlink data streams (32 and 64 bit)
Summary: Review Request: python-petlink - Decode and encode Petlink data streams (32 a...
Keywords:
Status: CLOSED ERRATA
Alias: python-petlink
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-09 08:58 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-18 06:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-18 02:57:03 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-09 08:58:58 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-petlink/python-petlink.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-petlink/python-petlink-0.3.2-1.fc29.src.rpm

Description:
Decode and encode Petlink data streams (32 and 64 bit)
The encode and decode routines are written in C and are wrapped with Python.

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2018-11-09 09:00:15 UTC
Rawhide build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30750651

F28/29 require buildroot overrides for the python-simplewrap update.

Comment 2 Miro Hrončok 2018-11-09 10:02:59 UTC
I'd personally use:

    cp -v %{SOURCE1} LICENSE
    ...
    
    %license LICENSE

Other than that, the spec looks OK, running checks.

Comment 3 Ankur Sinha (FranciscoD) 2018-11-09 10:38:05 UTC
Thanks, Miro. I've updated the spec/srpm to do so:


Spec URL: https://ankursinha.fedorapeople.org/python-petlink/python-petlink.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-petlink/python-petlink-0.3.2-1.fc29.src.rpm

* Fri Nov 09 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-1
- Rename license file to LICENSE as per reviewer suggestion

Cheers,
Ankur

Comment 4 Miro Hrončok 2018-11-09 10:53:19 UTC
OK. It builds, no rpmlint issues found, license checks, package approved ;)

(I cannot use fedora-review tool now, but I've checked all the things important.)

Comment 5 Ankur Sinha (FranciscoD) 2018-11-09 12:08:00 UTC
Thanks for the quick review, Miro. SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8761

Comment 6 Gwyn Ciesla 2018-11-09 15:09:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-petlink

Comment 7 Fedora Update System 2018-11-09 15:45:02 UTC
python-petlink-0.3.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fc72346d60

Comment 8 Fedora Update System 2018-11-09 15:45:08 UTC
python-petlink-0.3.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-86f067b027

Comment 9 Fedora Update System 2018-11-09 15:45:15 UTC
python-petlink-0.3.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e77c7716f

Comment 10 Fedora Update System 2018-11-10 04:06:55 UTC
python-petlink-0.3.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fc72346d60

Comment 11 Fedora Update System 2018-11-10 05:01:05 UTC
python-petlink-0.3.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-86f067b027

Comment 12 Fedora Update System 2018-11-10 05:09:36 UTC
python-petlink-0.3.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e77c7716f

Comment 13 Fedora Update System 2018-11-18 02:57:03 UTC
python-petlink-0.3.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-11-18 03:55:40 UTC
python-petlink-0.3.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-11-18 06:18:56 UTC
python-petlink-0.3.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.